use serde::{Serialize, Deserialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Client {
    pub id: i32,
    pub name: String,
    pub surname: String,
    pub middlename: Option<String>,
    pub phone: String
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct BindingClient {
    pub name: String,
    pub surname: String,
    pub middlename: Option<String>,
    pub phone: String
}