use serde::{Serialize, Deserialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Rent {
    pub id: i32,
    pub start_time: chrono::NaiveTime,
    pub time_amount: Option<i32>,
    pub client_id: i32,
    pub car_id: i32
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct BindingRent {
    pub time_amount: Option<u32>,
    pub client_id: u32,
    pub car_id: u32
}